Relesys API Docs

v1.1

https://api.relesysapp.net/api/v1.1

Modules

Get Module Statistics
GET /training/modules/statistics
https://api.relesysapp.net/api/v1.1/training/modules/statistics
Get a list of Course Module Statistics for participation - including calculated values for users without any completions.
Scopes: relesys.api, relesys.api:read, relesys.api.training, relesys.api.training:read
Query String
completionRate double Filterable Sortable optional
courseModuleId string / guid Filterable optional
courseModuleParticipationState string Filterable Sortable optional
creationDateTime datetimeoffset Filterable Sortable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
performanceScore double Filterable Sortable optional
points integer Filterable Sortable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"courseModuleId":"59ac4881-bbdf-4efb-b34d-900203ff8025","userId":"14c163ea-b959-42ac-adea-1896a82b8c7d","courseModuleParticipationState":"Completed","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-12-09T22:00:00+00:00","completionRate":1.0,"performanceScore":0.94,"points":10},{"courseModuleId":"319cbe32-8710-4e69-9cd9-02001f03f3cc","userId":"95d9a642-9c4b-422e-99de-897e25d4960d","courseModuleParticipationState":"Not Started","creationDateTime":"2020-06-02T22:00:00+00:00","lastModifiedDateTime":"2020-12-09T22:00:00+00:00","completionRate":0.0,"performanceScore":null,"points":0}]}
object
  count integer      
  data array[object]      
   completionRate double      
   courseModuleId string / guid      
   courseModuleParticipationState string      
   creationDateTime datetimeoffset      
   lastModifiedDateTime datetimeoffset      
   performanceScore double      
   points integer      
   userId string / guid      
  nextUrl string      
  previousUrl string